<!DOCTYPE html>

<html>
<head>
<meta charset="UTF-8">

<title>development.log - RDoc Documentation</title>

<script type="text/javascript">
  var rdoc_rel_prefix = "../../../";
  var index_rel_prefix = "../../../";
</script>

<script src="../../../js/jquery.js"></script>
<script src="../../../js/darkfish.js"></script>

<link href="../../../css/fonts.css" rel="stylesheet">
<link href="../../../css/rdoc.css" rel="stylesheet">



<body id="top" role="document" class="file">
<nav role="navigation">
  <div id="project-navigation">
    <div id="home-section" role="region" title="Quick navigation" class="nav-section">
  <h2>
    <a href="../../../index.html" rel="home">Home</a>
  </h2>

  <div id="table-of-contents-navigation">
    <a href="../../../table_of_contents.html#pages">Pages</a>
    <a href="../../../table_of_contents.html#classes">Classes</a>
    <a href="../../../table_of_contents.html#methods">Methods</a>
  </div>
</div>

    <div id="search-section" role="search" class="project-section initially-hidden">
  <form action="#" method="get" accept-charset="utf-8">
    <div id="search-field-wrapper">
      <input id="search-field" role="combobox" aria-label="Search"
             aria-autocomplete="list" aria-controls="search-results"
             type="text" name="search" placeholder="Search" spellcheck="false"
             title="Type to search, Up and Down to navigate, Enter to load">
    </div>

    <ul id="search-results" aria-label="Search Results"
        aria-busy="false" aria-expanded="false"
        aria-atomic="false" class="initially-hidden"></ul>
  </form>
</div>

  </div>

  

  <div id="project-metadata">
    <div id="fileindex-section" class="nav-section">
  <h3>Pages</h3>

  <ul class="link-list">
  
    <li><a href="../../../Gemfile.html">Gemfile</a>
  
    <li><a href="../../../Gemfile_lock.html">Gemfile.lock</a>
  
    <li><a href="../../../README_md.html">README</a>
  
    <li><a href="../../../Rakefile.html">Rakefile</a>
  
    <li><a href="../../../app/assets/config/storehaus_manifest_js.html">storehaus_manifest.js</a>
  
    <li><a href="../../../app/assets/javascripts/storehaus/application_js.html">application.js</a>
  
    <li><a href="../../../app/assets/stylesheets/storehaus/application_css.html">application.css</a>
  
    <li><a href="../../../lib/tasks/storehaus_tasks_rake.html">storehaus_tasks.rake</a>
  
    <li><a href="../../../spec/dummy/Rakefile.html">Rakefile</a>
  
    <li><a href="../../../spec/dummy/app/assets/config/manifest_js.html">manifest.js</a>
  
    <li><a href="../../../spec/dummy/app/assets/javascripts/application_js.html">application.js</a>
  
    <li><a href="../../../spec/dummy/app/assets/javascripts/cable_js.html">cable.js</a>
  
    <li><a href="../../../spec/dummy/app/assets/stylesheets/application_css.html">application.css</a>
  
    <li><a href="../../../spec/dummy/config_ru.html">config.ru</a>
  
    <li><a href="../../../spec/dummy/log/development_log.html">development.log</a>
  
    <li><a href="../../../spec/dummy/log/test_log.html">test.log</a>
  
    <li><a href="../../../spec/dummy/package_json.html">package.json</a>
  
    <li><a href="../../../spec/dummy/public/404_html.html">404.html</a>
  
    <li><a href="../../../spec/dummy/public/422_html.html">422.html</a>
  
    <li><a href="../../../spec/dummy/public/500_html.html">500.html</a>
  
    <li><a href="../../../spec/dummy/public/apple-touch-icon-precomposed_png.html">apple-touch-icon-precomposed.png</a>
  
    <li><a href="../../../spec/dummy/public/apple-touch-icon_png.html">apple-touch-icon.png</a>
  
    <li><a href="../../../spec/dummy/public/favicon_ico.html">favicon.ico</a>
  
    <li><a href="../../../storehaus_gemspec.html">storehaus.gemspec</a>
  
  </ul>
</div>

  </div>
</nav>

<main role="main" aria-label="Page spec/dummy/log/development.log">

<pre>[1m[35m (578.4ms)[0m  [1m[35mCREATE DATABASE &quot;dummy_development&quot; ENCODING = &#39;unicode&#39;[0m
↳ bin/rails:25
[1m[35m (458.2ms)[0m  [1m[35mCREATE DATABASE &quot;dummy_test&quot; ENCODING = &#39;unicode&#39;[0m
↳ bin/rails:25
[1m[35m (32.9ms)[0m  [1m[35mCREATE TABLE &quot;schema_migrations&quot; (&quot;version&quot; character varying NOT NULL PRIMARY KEY)[0m
↳ bin/rails:25
[1m[35m (24.4ms)[0m  [1m[35mCREATE TABLE &quot;ar_internal_metadata&quot; (&quot;key&quot; character varying NOT NULL PRIMARY KEY, &quot;value&quot; character varying, &quot;created_at&quot; timestamp NOT NULL, &quot;updated_at&quot; timestamp NOT NULL)[0m
↳ bin/rails:25
[1m[35m (0.5ms)[0m  [1m[34mSELECT pg_try_advisory_lock(1721091371569202325)[0m
↳ bin/rails:25
[1m[35m (0.7ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:25
[1m[36mActiveRecord::InternalMetadata Load (0.4ms)[0m  [1m[34mSELECT  &quot;ar_internal_metadata&quot;.* FROM &quot;ar_internal_metadata&quot; WHERE &quot;ar_internal_metadata&quot;.&quot;key&quot; = $1 LIMIT $2[0m  [[&quot;key&quot;, &quot;environment&quot;], [&quot;LIMIT&quot;, 1]]
↳ bin/rails:25
[1m[35m (0.2ms)[0m  [1m[35mBEGIN[0m
↳ bin/rails:25
[1m[36mActiveRecord::InternalMetadata Create (13.2ms)[0m  [1m[32mINSERT INTO &quot;ar_internal_metadata&quot; (&quot;key&quot;, &quot;value&quot;, &quot;created_at&quot;, &quot;updated_at&quot;) VALUES ($1, $2, $3, $4) RETURNING &quot;key&quot;[0m  [[&quot;key&quot;, &quot;environment&quot;], [&quot;value&quot;, &quot;development&quot;], [&quot;created_at&quot;, &quot;2018-07-09 20:42:29.102731&quot;], [&quot;updated_at&quot;, &quot;2018-07-09 20:42:29.102731&quot;]]
↳ bin/rails:25
[1m[35m (11.7ms)[0m  [1m[35mCOMMIT[0m
↳ bin/rails:25
[1m[35m (0.4ms)[0m  [1m[34mSELECT pg_advisory_unlock(1721091371569202325)[0m
↳ bin/rails:25
[1m[35m (0.2ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:25
[1m[35m (478.0ms)[0m  [1m[35mCREATE DATABASE &quot;storehaus_dummy_development&quot; ENCODING = &#39;unicode&#39;[0m
↳ bin/rails:25
[1m[35m (382.8ms)[0m  [1m[35mCREATE DATABASE &quot;storehaus_dummy_test&quot; ENCODING = &#39;unicode&#39;[0m
↳ bin/rails:25
[1m[35m (5.1ms)[0m  [1m[35mCREATE TABLE &quot;schema_migrations&quot; (&quot;version&quot; character varying NOT NULL PRIMARY KEY)[0m
↳ bin/rails:25
[1m[35m (26.1ms)[0m  [1m[35mCREATE TABLE &quot;ar_internal_metadata&quot; (&quot;key&quot; character varying NOT NULL PRIMARY KEY, &quot;value&quot; character varying, &quot;created_at&quot; timestamp NOT NULL, &quot;updated_at&quot; timestamp NOT NULL)[0m
↳ bin/rails:25
[1m[35m (0.3ms)[0m  [1m[34mSELECT pg_try_advisory_lock(4819130526890902005)[0m
↳ bin/rails:25
[1m[35m (0.5ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:25
[1m[36mActiveRecord::InternalMetadata Load (0.4ms)[0m  [1m[34mSELECT  &quot;ar_internal_metadata&quot;.* FROM &quot;ar_internal_metadata&quot; WHERE &quot;ar_internal_metadata&quot;.&quot;key&quot; = $1 LIMIT $2[0m  [[&quot;key&quot;, &quot;environment&quot;], [&quot;LIMIT&quot;, 1]]
↳ bin/rails:25
[1m[35m (0.1ms)[0m  [1m[35mBEGIN[0m
↳ bin/rails:25
[1m[36mActiveRecord::InternalMetadata Create (0.5ms)[0m  [1m[32mINSERT INTO &quot;ar_internal_metadata&quot; (&quot;key&quot;, &quot;value&quot;, &quot;created_at&quot;, &quot;updated_at&quot;) VALUES ($1, $2, $3, $4) RETURNING &quot;key&quot;[0m  [[&quot;key&quot;, &quot;environment&quot;], [&quot;value&quot;, &quot;development&quot;], [&quot;created_at&quot;, &quot;2018-07-09 20:43:24.109430&quot;], [&quot;updated_at&quot;, &quot;2018-07-09 20:43:24.109430&quot;]]
↳ bin/rails:25
[1m[35m (6.5ms)[0m  [1m[35mCOMMIT[0m
↳ bin/rails:25
[1m[35m (0.5ms)[0m  [1m[34mSELECT pg_advisory_unlock(4819130526890902005)[0m
↳ bin/rails:25
[1m[35m (0.5ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:25
[1m[35m (0.3ms)[0m  [1m[34mSELECT pg_try_advisory_lock(4819130526890902005)[0m
↳ bin/rails:4
[1m[35m (0.5ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:4</pre>

<p>Migrating to <a
href="../../../CreateActiveStorageTables.html">CreateActiveStorageTables</a>
(20180709205137)</p>

<pre>[1m[35m (0.2ms)[0m  [1m[35mBEGIN[0m
↳ bin/rails:4
[1m[35m (55.8ms)[0m  [1m[35mCREATE TABLE &quot;active_storage_blobs&quot; (&quot;id&quot; bigserial primary key, &quot;key&quot; character varying NOT NULL, &quot;filename&quot; character varying NOT NULL, &quot;content_type&quot; character varying, &quot;metadata&quot; text, &quot;byte_size&quot; bigint NOT NULL, &quot;checksum&quot; character varying NOT NULL, &quot;created_at&quot; timestamp NOT NULL)[0m
↳ db/migrate/20180709205137_create_active_storage_tables.active_storage.rb:4
[1m[35m (1.8ms)[0m  [1m[35mCREATE UNIQUE INDEX  &quot;index_active_storage_blobs_on_key&quot; ON &quot;active_storage_blobs&quot;  (&quot;key&quot;)[0m
↳ db/migrate/20180709205137_create_active_storage_tables.active_storage.rb:4
[1m[35m (3.2ms)[0m  [1m[35mCREATE TABLE &quot;active_storage_attachments&quot; (&quot;id&quot; bigserial primary key, &quot;name&quot; character varying NOT NULL, &quot;record_type&quot; character varying NOT NULL, &quot;record_id&quot; bigint NOT NULL, &quot;blob_id&quot; bigint NOT NULL, &quot;created_at&quot; timestamp NOT NULL)[0m
↳ db/migrate/20180709205137_create_active_storage_tables.active_storage.rb:16
[1m[35m (1.0ms)[0m  [1m[35mCREATE  INDEX  &quot;index_active_storage_attachments_on_blob_id&quot; ON &quot;active_storage_attachments&quot;  (&quot;blob_id&quot;)[0m
↳ db/migrate/20180709205137_create_active_storage_tables.active_storage.rb:16
[1m[35m (2.3ms)[0m  [1m[35mCREATE UNIQUE INDEX  &quot;index_active_storage_attachments_uniqueness&quot; ON &quot;active_storage_attachments&quot;  (&quot;record_type&quot;, &quot;record_id&quot;, &quot;name&quot;, &quot;blob_id&quot;)[0m
↳ db/migrate/20180709205137_create_active_storage_tables.active_storage.rb:16
[1m[36mActiveRecord::SchemaMigration Create (0.6ms)[0m  [1m[32mINSERT INTO &quot;schema_migrations&quot; (&quot;version&quot;) VALUES ($1) RETURNING &quot;version&quot;[0m  [[&quot;version&quot;, &quot;20180709205137&quot;]]
↳ bin/rails:4
[1m[35m (0.6ms)[0m  [1m[35mCOMMIT[0m
↳ bin/rails:4
[1m[36mActiveRecord::InternalMetadata Load (0.3ms)[0m  [1m[34mSELECT  &quot;ar_internal_metadata&quot;.* FROM &quot;ar_internal_metadata&quot; WHERE &quot;ar_internal_metadata&quot;.&quot;key&quot; = $1 LIMIT $2[0m  [[&quot;key&quot;, &quot;environment&quot;], [&quot;LIMIT&quot;, 1]]
↳ bin/rails:4
[1m[35m (0.5ms)[0m  [1m[35mBEGIN[0m
↳ bin/rails:4
[1m[35m (0.4ms)[0m  [1m[35mCOMMIT[0m
↳ bin/rails:4
[1m[35m (0.4ms)[0m  [1m[34mSELECT pg_advisory_unlock(4819130526890902005)[0m
↳ bin/rails:4
[1m[35m (1.5ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:4
[1m[35m (7.9ms)[0m  [1m[35mCREATE DATABASE &quot;storehaus_dummy_development&quot; ENCODING = &#39;unicode&#39;[0m
↳ bin/rails:25
[1m[35m (0.4ms)[0m  [1m[35mCREATE DATABASE &quot;storehaus_dummy_test&quot; ENCODING = &#39;unicode&#39;[0m
↳ bin/rails:25
[1m[35m (0.3ms)[0m  [1m[34mSELECT pg_try_advisory_lock(4819130526890902005)[0m
↳ bin/rails:25
[1m[35m (0.7ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:25
[1m[36mActiveRecord::InternalMetadata Load (0.4ms)[0m  [1m[34mSELECT  &quot;ar_internal_metadata&quot;.* FROM &quot;ar_internal_metadata&quot; WHERE &quot;ar_internal_metadata&quot;.&quot;key&quot; = $1 LIMIT $2[0m  [[&quot;key&quot;, &quot;environment&quot;], [&quot;LIMIT&quot;, 1]]
↳ bin/rails:25
[1m[35m (0.2ms)[0m  [1m[35mBEGIN[0m
↳ bin/rails:25
[1m[35m (0.1ms)[0m  [1m[35mCOMMIT[0m
↳ bin/rails:25
[1m[35m (0.2ms)[0m  [1m[34mSELECT pg_advisory_unlock(4819130526890902005)[0m
↳ bin/rails:25
[1m[35m (0.4ms)[0m  [1m[34mSELECT pg_try_advisory_lock(4819130526890902005)[0m
↳ bin/rails:25
[1m[35m (0.6ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:25</pre>

<p>Migrating to <a
href="../../../AddLibraryMetadataToActiveStorageBlobs.html">AddLibraryMetadataToActiveStorageBlobs</a>
(20180709210602)</p>

<pre>[1m[35m (0.2ms)[0m  [1m[35mBEGIN[0m
↳ bin/rails:25
[1m[35m (34.8ms)[0m  [1m[35mALTER TABLE &quot;active_storage_blobs&quot; ADD &quot;library_metadata&quot; jsonb DEFAULT &#39;{}&#39;[0m
↳ /Users/matthew/code/gems/storehaus/db/migrate/20180709210602_add_library_metadata_to_active_storage_blobs.rb:3
[1m[36mActiveRecord::SchemaMigration Create (0.4ms)[0m  [1m[32mINSERT INTO &quot;schema_migrations&quot; (&quot;version&quot;) VALUES ($1) RETURNING &quot;version&quot;[0m  [[&quot;version&quot;, &quot;20180709210602&quot;]]
↳ bin/rails:25
[1m[35m (3.4ms)[0m  [1m[35mCOMMIT[0m
↳ bin/rails:25
[1m[36mActiveRecord::InternalMetadata Load (0.3ms)[0m  [1m[34mSELECT  &quot;ar_internal_metadata&quot;.* FROM &quot;ar_internal_metadata&quot; WHERE &quot;ar_internal_metadata&quot;.&quot;key&quot; = $1 LIMIT $2[0m  [[&quot;key&quot;, &quot;environment&quot;], [&quot;LIMIT&quot;, 1]]
↳ bin/rails:25
[1m[35m (0.2ms)[0m  [1m[35mBEGIN[0m
↳ bin/rails:25
[1m[35m (0.3ms)[0m  [1m[35mCOMMIT[0m
↳ bin/rails:25
[1m[35m (0.2ms)[0m  [1m[34mSELECT pg_advisory_unlock(4819130526890902005)[0m
↳ bin/rails:25
[1m[35m (0.2ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:25
[1m[35m (8.4ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:25
[1m[35m (0.2ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:25
[1m[35m (0.2ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:25
[1m[35m (0.2ms)[0m  [1m[34mSELECT pg_try_advisory_lock(4819130526890902005)[0m
↳ bin/rails:25
[1m[35m (0.3ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:25</pre>

<p>Migrating to <a
href="../../../AddLibraryMetadataToActiveStorageBlobs.html">AddLibraryMetadataToActiveStorageBlobs</a>
(20180709210602)</p>

<pre>[1m[35m (0.2ms)[0m  [1m[35mBEGIN[0m
↳ bin/rails:25
[1m[35m (27.0ms)[0m  [1m[35mALTER TABLE &quot;active_storage_blobs&quot; DROP COLUMN &quot;library_metadata&quot;[0m
↳ bin/rails:25
[1m[36mActiveRecord::SchemaMigration Destroy (13.3ms)[0m  [1m[31mDELETE FROM &quot;schema_migrations&quot; WHERE &quot;schema_migrations&quot;.&quot;version&quot; = $1[0m  [[&quot;version&quot;, &quot;20180709210602&quot;]]
↳ bin/rails:25
[1m[35m (7.9ms)[0m  [1m[35mCOMMIT[0m
↳ bin/rails:25
[1m[35m (0.3ms)[0m  [1m[34mSELECT pg_advisory_unlock(4819130526890902005)[0m
↳ bin/rails:25
[1m[35m (0.2ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:25
[1m[35m (0.2ms)[0m  [1m[34mSELECT pg_try_advisory_lock(4819130526890902005)[0m
↳ bin/rails:4
[1m[35m (0.6ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:4
[1m[36mActiveRecord::InternalMetadata Load (7.6ms)[0m  [1m[34mSELECT  &quot;ar_internal_metadata&quot;.* FROM &quot;ar_internal_metadata&quot; WHERE &quot;ar_internal_metadata&quot;.&quot;key&quot; = $1 LIMIT $2[0m  [[&quot;key&quot;, &quot;environment&quot;], [&quot;LIMIT&quot;, 1]]
↳ bin/rails:4
[1m[35m (0.2ms)[0m  [1m[35mBEGIN[0m
↳ bin/rails:4
[1m[35m (0.1ms)[0m  [1m[35mCOMMIT[0m
↳ bin/rails:4
[1m[35m (0.2ms)[0m  [1m[34mSELECT pg_advisory_unlock(4819130526890902005)[0m
↳ bin/rails:4
[1m[35m (0.3ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:4
[1m[35m (0.6ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:4
[1m[35m (0.2ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:4
[1m[35m (0.6ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:4
[1m[35m (0.9ms)[0m  [1m[34mSELECT &quot;ar_internal_metadata&quot;.&quot;value&quot; FROM &quot;ar_internal_metadata&quot; WHERE &quot;ar_internal_metadata&quot;.&quot;key&quot; = $1[0m  [[&quot;key&quot;, &quot;environment&quot;]]
↳ bin/rails:4
[1m[35m (0.2ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:4
[1m[35m (0.2ms)[0m  [1m[34mSELECT &quot;ar_internal_metadata&quot;.&quot;value&quot; FROM &quot;ar_internal_metadata&quot; WHERE &quot;ar_internal_metadata&quot;.&quot;key&quot; = $1[0m  [[&quot;key&quot;, &quot;environment&quot;]]
↳ bin/rails:4
[1m[35m (0.2ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:4
[1m[35m (0.2ms)[0m  [1m[34mSELECT &quot;ar_internal_metadata&quot;.&quot;value&quot; FROM &quot;ar_internal_metadata&quot; WHERE &quot;ar_internal_metadata&quot;.&quot;key&quot; = $1[0m  [[&quot;key&quot;, &quot;environment&quot;]]
↳ bin/rails:4
[1m[35m (168.9ms)[0m  [1m[35mDROP DATABASE IF EXISTS &quot;storehaus_dummy_development&quot;[0m
↳ bin/rails:4
[1m[35m (227.9ms)[0m  [1m[35mDROP DATABASE IF EXISTS &quot;storehaus_dummy_test&quot;[0m
↳ bin/rails:4
[1m[35m (608.7ms)[0m  [1m[35mCREATE DATABASE &quot;storehaus_dummy_development&quot; ENCODING = &#39;unicode&#39;[0m
↳ bin/rails:4
[1m[35m (392.5ms)[0m  [1m[35mCREATE DATABASE &quot;storehaus_dummy_test&quot; ENCODING = &#39;unicode&#39;[0m
↳ bin/rails:4
[1m[35m (6.2ms)[0m  [1m[35mCREATE TABLE &quot;schema_migrations&quot; (&quot;version&quot; character varying NOT NULL PRIMARY KEY)[0m
↳ bin/rails:4
[1m[35m (3.5ms)[0m  [1m[35mCREATE TABLE &quot;ar_internal_metadata&quot; (&quot;key&quot; character varying NOT NULL PRIMARY KEY, &quot;value&quot; character varying, &quot;created_at&quot; timestamp NOT NULL, &quot;updated_at&quot; timestamp NOT NULL)[0m
↳ bin/rails:4
[1m[35m (0.3ms)[0m  [1m[34mSELECT pg_try_advisory_lock(4819130526890902005)[0m
↳ bin/rails:4
[1m[35m (0.5ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:4
[1m[36mActiveRecord::InternalMetadata Load (0.6ms)[0m  [1m[34mSELECT  &quot;ar_internal_metadata&quot;.* FROM &quot;ar_internal_metadata&quot; WHERE &quot;ar_internal_metadata&quot;.&quot;key&quot; = $1 LIMIT $2[0m  [[&quot;key&quot;, &quot;environment&quot;], [&quot;LIMIT&quot;, 1]]
↳ bin/rails:4
[1m[35m (0.2ms)[0m  [1m[35mBEGIN[0m
↳ bin/rails:4
[1m[36mActiveRecord::InternalMetadata Create (0.6ms)[0m  [1m[32mINSERT INTO &quot;ar_internal_metadata&quot; (&quot;key&quot;, &quot;value&quot;, &quot;created_at&quot;, &quot;updated_at&quot;) VALUES ($1, $2, $3, $4) RETURNING &quot;key&quot;[0m  [[&quot;key&quot;, &quot;environment&quot;], [&quot;value&quot;, &quot;development&quot;], [&quot;created_at&quot;, &quot;2018-07-09 22:12:28.811227&quot;], [&quot;updated_at&quot;, &quot;2018-07-09 22:12:28.811227&quot;]]
↳ bin/rails:4
[1m[35m (6.2ms)[0m  [1m[35mCOMMIT[0m
↳ bin/rails:4
[1m[35m (0.3ms)[0m  [1m[34mSELECT pg_advisory_unlock(4819130526890902005)[0m
↳ bin/rails:4
[1m[35m (0.3ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:4
[1m[35m (0.2ms)[0m  [1m[34mSELECT pg_try_advisory_lock(4819130526890902005)[0m
↳ bin/rails:25
[1m[35m (0.7ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:25</pre>

<p>Migrating to <a
href="../../../AddLibraryMetadataToActiveStorageBlobs.html">AddLibraryMetadataToActiveStorageBlobs</a>
(20180709210602)</p>

<pre>[1m[35m (0.2ms)[0m  [1m[35mBEGIN[0m
↳ bin/rails:25
[1m[35m (8.1ms)[0m  [1m[35mALTER TABLE &quot;active_storage_blobs&quot; ADD &quot;library_metadata&quot; jsonb DEFAULT &#39;{}&#39;[0m
↳ /Users/matthew/code/gems/storehaus/db/migrate/20180709210602_add_library_metadata_to_active_storage_blobs.rb:3
[1m[35m (0.2ms)[0m  [1m[31mROLLBACK[0m
↳ bin/rails:25
[1m[35m (0.3ms)[0m  [1m[34mSELECT pg_advisory_unlock(4819130526890902005)[0m
↳ bin/rails:25
[1m[35m (0.5ms)[0m  [1m[35mCREATE DATABASE &quot;storehaus_dummy_development&quot; ENCODING = &#39;unicode&#39;[0m
↳ bin/rails:25
[1m[35m (0.7ms)[0m  [1m[35mCREATE DATABASE &quot;storehaus_dummy_test&quot; ENCODING = &#39;unicode&#39;[0m
↳ bin/rails:25
[1m[35m (0.2ms)[0m  [1m[34mSELECT pg_try_advisory_lock(4819130526890902005)[0m
↳ bin/rails:25
[1m[35m (0.6ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:25</pre>

<p>Migrating to <a
href="../../../AddLibraryMetadataToActiveStorageBlobs.html">AddLibraryMetadataToActiveStorageBlobs</a>
(20180709210602)</p>

<pre>[1m[35m (0.1ms)[0m  [1m[35mBEGIN[0m
↳ bin/rails:25
[1m[35m (0.4ms)[0m  [1m[35mALTER TABLE &quot;active_storage_blobs&quot; ADD &quot;library_metadata&quot; jsonb DEFAULT &#39;{}&#39;[0m
↳ /Users/matthew/code/gems/storehaus/db/migrate/20180709210602_add_library_metadata_to_active_storage_blobs.rb:3
[1m[35m (0.1ms)[0m  [1m[31mROLLBACK[0m
↳ bin/rails:25
[1m[35m (0.2ms)[0m  [1m[34mSELECT pg_advisory_unlock(4819130526890902005)[0m
↳ bin/rails:25
[1m[35m (6.8ms)[0m  [1m[35mCREATE DATABASE &quot;storehaus_dummy_development&quot; ENCODING = &#39;unicode&#39;[0m
↳ bin/rails:25
[1m[35m (0.4ms)[0m  [1m[35mCREATE DATABASE &quot;storehaus_dummy_test&quot; ENCODING = &#39;unicode&#39;[0m
↳ bin/rails:25
[1m[35m (0.2ms)[0m  [1m[34mSELECT pg_try_advisory_lock(4819130526890902005)[0m
↳ bin/rails:25
[1m[35m (1.6ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:25</pre>

<p>Migrating to <a
href="../../../AddLibraryMetadataToActiveStorageBlobs.html">AddLibraryMetadataToActiveStorageBlobs</a>
(20180709210602)</p>

<pre>[1m[35m (0.2ms)[0m  [1m[35mBEGIN[0m
↳ bin/rails:25
[1m[35m (0.4ms)[0m  [1m[35mALTER TABLE &quot;active_storage_blobs&quot; ADD &quot;library_metadata&quot; jsonb DEFAULT &#39;{}&#39;[0m
↳ /Users/matthew/code/gems/storehaus/db/migrate/20180709210602_add_library_metadata_to_active_storage_blobs.rb:3
[1m[35m (0.1ms)[0m  [1m[31mROLLBACK[0m
↳ bin/rails:25
[1m[35m (0.2ms)[0m  [1m[34mSELECT pg_advisory_unlock(4819130526890902005)[0m
↳ bin/rails:25
[1m[35m (0.5ms)[0m  [1m[35mCREATE DATABASE &quot;storehaus_dummy_development&quot; ENCODING = &#39;unicode&#39;[0m
↳ bin/rails:4
[1m[35m (1.7ms)[0m  [1m[35mCREATE DATABASE &quot;storehaus_dummy_test&quot; ENCODING = &#39;unicode&#39;[0m
↳ bin/rails:4
[1m[35m (0.7ms)[0m  [1m[34mSELECT pg_try_advisory_lock(4819130526890902005)[0m
↳ bin/rails:4
[1m[35m (0.5ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:4</pre>

<p>Migrating to <a
href="../../../CreateActiveStorageTables.html">CreateActiveStorageTables</a>
(20180709221407)</p>

<pre>[1m[35m (0.2ms)[0m  [1m[35mBEGIN[0m
↳ bin/rails:4
[1m[35m (29.1ms)[0m  [1m[35mCREATE TABLE &quot;active_storage_blobs&quot; (&quot;id&quot; bigserial primary key, &quot;key&quot; character varying NOT NULL, &quot;filename&quot; character varying NOT NULL, &quot;content_type&quot; character varying, &quot;metadata&quot; text, &quot;byte_size&quot; bigint NOT NULL, &quot;checksum&quot; character varying NOT NULL, &quot;created_at&quot; timestamp NOT NULL)[0m
↳ db/migrate/20180709221407_create_active_storage_tables.active_storage.rb:4
[1m[35m (1.0ms)[0m  [1m[35mCREATE UNIQUE INDEX  &quot;index_active_storage_blobs_on_key&quot; ON &quot;active_storage_blobs&quot;  (&quot;key&quot;)[0m
↳ db/migrate/20180709221407_create_active_storage_tables.active_storage.rb:4
[1m[35m (2.8ms)[0m  [1m[35mCREATE TABLE &quot;active_storage_attachments&quot; (&quot;id&quot; bigserial primary key, &quot;name&quot; character varying NOT NULL, &quot;record_type&quot; character varying NOT NULL, &quot;record_id&quot; bigint NOT NULL, &quot;blob_id&quot; bigint NOT NULL, &quot;created_at&quot; timestamp NOT NULL)[0m
↳ db/migrate/20180709221407_create_active_storage_tables.active_storage.rb:16
[1m[35m (2.2ms)[0m  [1m[35mCREATE  INDEX  &quot;index_active_storage_attachments_on_blob_id&quot; ON &quot;active_storage_attachments&quot;  (&quot;blob_id&quot;)[0m
↳ db/migrate/20180709221407_create_active_storage_tables.active_storage.rb:16
[1m[35m (1.5ms)[0m  [1m[35mCREATE UNIQUE INDEX  &quot;index_active_storage_attachments_uniqueness&quot; ON &quot;active_storage_attachments&quot;  (&quot;record_type&quot;, &quot;record_id&quot;, &quot;name&quot;, &quot;blob_id&quot;)[0m
↳ db/migrate/20180709221407_create_active_storage_tables.active_storage.rb:16
[1m[36mActiveRecord::SchemaMigration Create (0.7ms)[0m  [1m[32mINSERT INTO &quot;schema_migrations&quot; (&quot;version&quot;) VALUES ($1) RETURNING &quot;version&quot;[0m  [[&quot;version&quot;, &quot;20180709221407&quot;]]
↳ bin/rails:4
[1m[35m (0.6ms)[0m  [1m[35mCOMMIT[0m
↳ bin/rails:4
[1m[36mActiveRecord::InternalMetadata Load (0.3ms)[0m  [1m[34mSELECT  &quot;ar_internal_metadata&quot;.* FROM &quot;ar_internal_metadata&quot; WHERE &quot;ar_internal_metadata&quot;.&quot;key&quot; = $1 LIMIT $2[0m  [[&quot;key&quot;, &quot;environment&quot;], [&quot;LIMIT&quot;, 1]]
↳ bin/rails:4
[1m[35m (0.7ms)[0m  [1m[35mBEGIN[0m
↳ bin/rails:4
[1m[35m (0.2ms)[0m  [1m[35mCOMMIT[0m
↳ bin/rails:4
[1m[35m (0.2ms)[0m  [1m[34mSELECT pg_advisory_unlock(4819130526890902005)[0m
↳ bin/rails:4
[1m[35m (0.2ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:4
[1m[35m (0.4ms)[0m  [1m[35mCREATE DATABASE &quot;storehaus_dummy_development&quot; ENCODING = &#39;unicode&#39;[0m
↳ bin/rails:25
[1m[35m (1.3ms)[0m  [1m[35mCREATE DATABASE &quot;storehaus_dummy_test&quot; ENCODING = &#39;unicode&#39;[0m
↳ bin/rails:25
[1m[35m (0.2ms)[0m  [1m[34mSELECT pg_try_advisory_lock(4819130526890902005)[0m
↳ bin/rails:25
[1m[35m (0.6ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:25</pre>

<p>Migrating to <a
href="../../../AddLibraryMetadataToActiveStorageBlobs.html">AddLibraryMetadataToActiveStorageBlobs</a>
(20180709210602)</p>

<pre>[1m[35m (0.2ms)[0m  [1m[35mBEGIN[0m
↳ bin/rails:25
[1m[35m (5.8ms)[0m  [1m[35mALTER TABLE &quot;active_storage_blobs&quot; ADD &quot;library_metadata&quot; jsonb DEFAULT &#39;{}&#39;[0m
↳ /Users/matthew/code/gems/storehaus/db/migrate/20180709210602_add_library_metadata_to_active_storage_blobs.rb:3
[1m[36mActiveRecord::SchemaMigration Create (0.6ms)[0m  [1m[32mINSERT INTO &quot;schema_migrations&quot; (&quot;version&quot;) VALUES ($1) RETURNING &quot;version&quot;[0m  [[&quot;version&quot;, &quot;20180709210602&quot;]]
↳ bin/rails:25
[1m[35m (4.2ms)[0m  [1m[35mCOMMIT[0m
↳ bin/rails:25
[1m[36mActiveRecord::InternalMetadata Load (0.5ms)[0m  [1m[34mSELECT  &quot;ar_internal_metadata&quot;.* FROM &quot;ar_internal_metadata&quot; WHERE &quot;ar_internal_metadata&quot;.&quot;key&quot; = $1 LIMIT $2[0m  [[&quot;key&quot;, &quot;environment&quot;], [&quot;LIMIT&quot;, 1]]
↳ bin/rails:25
[1m[35m (0.2ms)[0m  [1m[35mBEGIN[0m
↳ bin/rails:25
[1m[35m (0.1ms)[0m  [1m[35mCOMMIT[0m
↳ bin/rails:25
[1m[35m (0.2ms)[0m  [1m[34mSELECT pg_advisory_unlock(4819130526890902005)[0m
↳ bin/rails:25
[1m[35m (0.2ms)[0m  [1m[34mSELECT &quot;schema_migrations&quot;.&quot;version&quot; FROM &quot;schema_migrations&quot; ORDER BY &quot;schema_migrations&quot;.&quot;version&quot; ASC[0m
↳ bin/rails:25
[1m[35m (0.4ms)[0m  [1m[35mBEGIN[0m
[1m[36mActiveStorage::Blob Create (24.2ms)[0m  [1m[32mINSERT INTO &quot;active_storage_blobs&quot; (&quot;key&quot;, &quot;created_at&quot;, &quot;library_metadata&quot;) VALUES ($1, $2, $3) RETURNING &quot;id&quot;[0m  [[&quot;key&quot;, &quot;W8rZFSF5CaaqT4g1Miy2pSnM&quot;], [&quot;created_at&quot;, &quot;2018-07-10 16:15:06.476160&quot;], [&quot;library_metadata&quot;, &quot;{\&quot;taken_on\&quot;:\&quot;2018-07-10T15:55:01.000Z\&quot;}&quot;]]
[1m[35m (0.3ms)[0m  [1m[31mROLLBACK[0m
[1m[35m (0.2ms)[0m  [1m[35mBEGIN[0m
[1m[36mActiveStorage::Blob Create (0.6ms)[0m  [1m[32mINSERT INTO &quot;active_storage_blobs&quot; (&quot;key&quot;, &quot;filename&quot;, &quot;created_at&quot;, &quot;library_metadata&quot;) VALUES ($1, $2, $3, $4) RETURNING &quot;id&quot;[0m  [[&quot;key&quot;, &quot;W8rZFSF5CaaqT4g1Miy2pSnM&quot;], [&quot;filename&quot;, &quot;lol.jpg&quot;], [&quot;created_at&quot;, &quot;2018-07-10 16:15:06.476160&quot;], [&quot;library_metadata&quot;, &quot;{\&quot;taken_on\&quot;:\&quot;2018-07-10T15:55:01.000Z\&quot;}&quot;]]
[1m[35m (0.2ms)[0m  [1m[31mROLLBACK[0m
[1m[35m (0.2ms)[0m  [1m[35mBEGIN[0m
[1m[36mActiveStorage::Blob Create (7.1ms)[0m  [1m[32mINSERT INTO &quot;active_storage_blobs&quot; (&quot;key&quot;, &quot;filename&quot;, &quot;byte_size&quot;, &quot;created_at&quot;, &quot;library_metadata&quot;) VALUES ($1, $2, $3, $4, $5) RETURNING &quot;id&quot;[0m  [[&quot;key&quot;, &quot;W8rZFSF5CaaqT4g1Miy2pSnM&quot;], [&quot;filename&quot;, &quot;lol.jpg&quot;], [&quot;byte_size&quot;, 10000], [&quot;created_at&quot;, &quot;2018-07-10 16:15:06.476160&quot;], [&quot;library_metadata&quot;, &quot;{\&quot;taken_on\&quot;:\&quot;2018-07-10T15:55:01.000Z\&quot;}&quot;]]
[1m[35m (0.4ms)[0m  [1m[31mROLLBACK[0m
[1m[35m (0.2ms)[0m  [1m[35mBEGIN[0m
[1m[36mActiveStorage::Blob Create (4.8ms)[0m  [1m[32mINSERT INTO &quot;active_storage_blobs&quot; (&quot;key&quot;, &quot;filename&quot;, &quot;byte_size&quot;, &quot;checksum&quot;, &quot;created_at&quot;, &quot;library_metadata&quot;) VALUES ($1, $2, $3, $4, $5, $6) RETURNING &quot;id&quot;[0m  [[&quot;key&quot;, &quot;W8rZFSF5CaaqT4g1Miy2pSnM&quot;], [&quot;filename&quot;, &quot;lol.jpg&quot;], [&quot;byte_size&quot;, 10000], [&quot;checksum&quot;, &quot;1&quot;], [&quot;created_at&quot;, &quot;2018-07-10 16:15:06.476160&quot;], [&quot;library_metadata&quot;, &quot;{\&quot;taken_on\&quot;:\&quot;2018-07-10T15:55:01.000Z\&quot;}&quot;]]
[1m[35m (6.4ms)[0m  [1m[35mCOMMIT[0m
[1m[36mActiveStorage::Blob Load (0.5ms)[0m  [1m[34mSELECT  &quot;active_storage_blobs&quot;.* FROM &quot;active_storage_blobs&quot; ORDER BY &quot;active_storage_blobs&quot;.&quot;id&quot; ASC LIMIT $1[0m  [[&quot;LIMIT&quot;, 1]]</pre>
</main>



<footer id="validator-badges" role="contentinfo">
  <p><a href="https://validator.w3.org/check/referer">Validate</a>
  <p>Generated by <a href="https://ruby.github.io/rdoc/">RDoc</a> 6.0.1.
  <p>Based on <a href="http://deveiate.org/projects/Darkfish-RDoc/">Darkfish</a> by <a href="http://deveiate.org">Michael Granger</a>.
</footer>

